<?php
/**
 * Home Internet Provider: Block Patterns
 *
 * @since Home Internet Provider 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Home Internet Provider 1.0
 *
 * @return void
 */
function home_internet_provider_register_block_patterns() {
	$home_internet_provider_block_pattern_categories = array(
		'home-internet-provider'    => array( 'label' => __( 'Home Internet Provider', 'home-internet-provider' ) ),
	);

	$home_internet_provider_block_pattern_categories = apply_filters( 'home_internet_provider_block_pattern_categories', $home_internet_provider_block_pattern_categories );

	foreach ( $home_internet_provider_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'home_internet_provider_register_block_patterns', 9 );
